<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/SimTrackerHitConst.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SimTrackerHitConst.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_sim_tracker_hit_const_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// datamodel specific includes</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_tracker_hit_8h.html">eicd/SimTrackerHit.h</a>&quot;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_tracker_hit_const_8h.html">eicd/SimTrackerHitConst.h</a>&quot;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_tracker_hit_obj_8h.html">eicd/SimTrackerHitObj.h</a>&quot;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_tracker_hit_data_8h.html">eicd/SimTrackerHitData.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_tracker_hit_collection_8h.html">eicd/SimTrackerHitCollection.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_m_c_particle_8h.html">eicd/MCParticle.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#a2ee6af5bdeae9dadc098dac5dc086eb8">   13</a></span>&#160;<a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a2ee6af5bdeae9dadc098dac5dc086eb8">ConstSimTrackerHit::ConstSimTrackerHit</a>() : m_obj(new <a class="code" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a>()) {</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; m_obj-&gt;acquire();</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;}</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#a19e5614feab3e67d6fcbc935fa426d2d">   17</a></span>&#160;<a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a2ee6af5bdeae9dadc098dac5dc086eb8">ConstSimTrackerHit::ConstSimTrackerHit</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#aedcafdb4850a7b96ce364f930f6859ca">cellID0</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#acd5c1fa8be506c58d1d49f6b970797e5">cellID1</a>, std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#acc130abbdbbe03540f4def1d9e061cea">position</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#adaa688e47edd0881b2ae177f847ed0d3">time</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a1d53c7fdbed6112dfd19b07f50232b0b">pathLength</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#ad1d3a11cc7e967c9e17282636d1df636">EDep</a>, std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a01a5875bed38ae277173430cf27f8c12">_p</a>) : m_obj(new <a class="code" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a>()){</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; m_obj-&gt;acquire();</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;   m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#a122a7ba424c6dfab43921e7da2dc0f56">cellID0</a> = <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#aedcafdb4850a7b96ce364f930f6859ca">cellID0</a>;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#a0745bf34579e98ccb1314418099f9aff">cellID1</a> = <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#acd5c1fa8be506c58d1d49f6b970797e5">cellID1</a>;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#a4a32acdd40a1e5318249ac73b33cef35">position</a> = <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#acc130abbdbbe03540f4def1d9e061cea">position</a>;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#acbc250867871dfc9cde7b10dcb040cb9">time</a> = <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#adaa688e47edd0881b2ae177f847ed0d3">time</a>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#adc67d9f0e75a208f95f5e0dae36b25a9">pathLength</a> = <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a1d53c7fdbed6112dfd19b07f50232b0b">pathLength</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#ab67edf39538258d401e7e181b82500c6">EDep</a> = <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#ad1d3a11cc7e967c9e17282636d1df636">EDep</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#a3d83fd5eb997914afdeea3932ab427d0">_p</a> = <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a01a5875bed38ae277173430cf27f8c12">_p</a>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;}</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#a7a01ad6397a85e2dde1823b56616b755">   29</a></span>&#160;<a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a2ee6af5bdeae9dadc098dac5dc086eb8">ConstSimTrackerHit::ConstSimTrackerHit</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a>&amp; other) : m_obj(other.m_obj) {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;}</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#a6c73b2cd20c719c5b2b57c675531209a">   33</a></span>&#160;<a class="code" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a>&amp; <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a6c73b2cd20c719c5b2b57c675531209a">ConstSimTrackerHit::operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a>&amp; other) {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  m_obj = other.m_obj;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;}</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#aeb9248c2dbde12dde9a5906c7f5e1985">   39</a></span>&#160;<a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a2ee6af5bdeae9dadc098dac5dc086eb8">ConstSimTrackerHit::ConstSimTrackerHit</a>(<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a>* obj) : m_obj(obj) {</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <span class="keywordflow">if</span>(m_obj)</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    m_obj-&gt;acquire();</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;}</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#a74a1c6af5e15a404689a6490e5c6816f">   44</a></span>&#160;<a class="code" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a> <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a74a1c6af5e15a404689a6490e5c6816f">ConstSimTrackerHit::clone</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <span class="keywordflow">return</span> {<span class="keyword">new</span> <a class="code" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a>(*m_obj)};</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;}</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#ab3e0973d10773a391dc25293a19c26ca">   48</a></span>&#160;<a class="code" href="classeic_1_1_const_sim_tracker_hit.html#ab3e0973d10773a391dc25293a19c26ca">ConstSimTrackerHit::~ConstSimTrackerHit</a>(){</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;}</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#aedcafdb4850a7b96ce364f930f6859ca">   53</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#aedcafdb4850a7b96ce364f930f6859ca">ConstSimTrackerHit::cellID0</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#a122a7ba424c6dfab43921e7da2dc0f56">cellID0</a>; }</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#acd5c1fa8be506c58d1d49f6b970797e5">   55</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#acd5c1fa8be506c58d1d49f6b970797e5">ConstSimTrackerHit::cellID1</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#a0745bf34579e98ccb1314418099f9aff">cellID1</a>; }</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#acc130abbdbbe03540f4def1d9e061cea">   57</a></span>&#160;    <span class="keyword">const</span> std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#acc130abbdbbe03540f4def1d9e061cea">ConstSimTrackerHit::position</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#a4a32acdd40a1e5318249ac73b33cef35">position</a>; }</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#a1d4e9b1fbbe9b6d2f8b1a72689a2133b">   59</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#acc130abbdbbe03540f4def1d9e061cea">ConstSimTrackerHit::position</a>(<span class="keywordtype">size_t</span> i)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#a4a32acdd40a1e5318249ac73b33cef35">position</a>.at(i); }</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#adaa688e47edd0881b2ae177f847ed0d3">   61</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#adaa688e47edd0881b2ae177f847ed0d3">ConstSimTrackerHit::time</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#acbc250867871dfc9cde7b10dcb040cb9">time</a>; }</div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#a1d53c7fdbed6112dfd19b07f50232b0b">   63</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a1d53c7fdbed6112dfd19b07f50232b0b">ConstSimTrackerHit::pathLength</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#adc67d9f0e75a208f95f5e0dae36b25a9">pathLength</a>; }</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#ad1d3a11cc7e967c9e17282636d1df636">   65</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#ad1d3a11cc7e967c9e17282636d1df636">ConstSimTrackerHit::EDep</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#ab67edf39538258d401e7e181b82500c6">EDep</a>; }</div><div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#a01a5875bed38ae277173430cf27f8c12">   67</a></span>&#160;    <span class="keyword">const</span> std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a01a5875bed38ae277173430cf27f8c12">ConstSimTrackerHit::_p</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#a3d83fd5eb997914afdeea3932ab427d0">_p</a>; }</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#ad4d07fb4c7a5cacad02ae3d6d58189f8">   69</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a01a5875bed38ae277173430cf27f8c12">ConstSimTrackerHit::_p</a>(<span class="keywordtype">size_t</span> i)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>.<a class="code" href="classeic_1_1_sim_tracker_hit_data.html#a3d83fd5eb997914afdeea3932ab427d0">_p</a>.at(i); }</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#a84ab60e4b6c5337b1611295801472a9b">   71</a></span>&#160;    <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a84ab60e4b6c5337b1611295801472a9b">ConstSimTrackerHit::particle</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <span class="keywordflow">if</span> (m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#aff3f4b1739b697f33d9154cc774cb550">m_particle</a> == <span class="keyword">nullptr</span>) {</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a>(<span class="keyword">nullptr</span>);</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        }</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a>(*(m_obj-&gt;<a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#aff3f4b1739b697f33d9154cc774cb550">m_particle</a>));}</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#a281cc4bef49c5da252ff54de1570dc4c">   78</a></span>&#160;<span class="keywordtype">bool</span>  <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a281cc4bef49c5da252ff54de1570dc4c">ConstSimTrackerHit::isAvailable</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  }</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;}</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#a3c61d0713596089013c0a193f9c4ac37">   85</a></span>&#160;<span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a3c61d0713596089013c0a193f9c4ac37">ConstSimTrackerHit::getObjectID</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keywordflow">return</span> m_obj-&gt;id;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  }</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  <span class="keywordflow">return</span> podio::ObjectID{podio::ObjectID::invalid, podio::ObjectID::invalid};</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;}</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_tracker_hit.html#a515d2c30d35d8873a16f5263c5b5f4a7">   92</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_sim_tracker_hit.html#a61d3aaf50c454b1d8c6ca29ddf21debc">ConstSimTrackerHit::operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a>&amp; other)<span class="keyword"> const </span>{</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;     <span class="keywordflow">return</span> (m_obj == other.m_obj);</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;}</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="comment">//bool operator&lt; (const SimTrackerHit&amp; p1, const SimTrackerHit&amp; p2 ) {</span></div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="comment">//  if( p1.m_containerID == p2.m_containerID ) {</span></div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="comment">//    return p1.m_index &lt; p2.m_index;</span></div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="comment">//  } else {</span></div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="comment">//    return p1.m_containerID &lt; p2.m_containerID;</span></div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="comment">//  }</span></div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="comment">//}</span></div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;} <span class="comment">// namespace eic</span></div><div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html">eic::ConstSimTrackerHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8h_source.html#l00031">SimTrackerHitConst.h:31</a></div></div>
<div class="ttc" id="_sim_tracker_hit_8h_html"><div class="ttname"><a href="_sim_tracker_hit_8h.html">SimTrackerHit.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_aedcafdb4850a7b96ce364f930f6859ca"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#aedcafdb4850a7b96ce364f930f6859ca">eic::ConstSimTrackerHit::cellID0</a></div><div class="ttdeci">const long long &amp; cellID0() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8cc_source.html#l00053">SimTrackerHitConst.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html_ab67edf39538258d401e7e181b82500c6"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html#ab67edf39538258d401e7e181b82500c6">eic::SimTrackerHitData::EDep</a></div><div class="ttdeci">float EDep</div><div class="ttdoc">EDep. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00019">SimTrackerHitData.h:19</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_a281cc4bef49c5da252ff54de1570dc4c"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#a281cc4bef49c5da252ff54de1570dc4c">eic::ConstSimTrackerHit::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8cc_source.html#l00078">SimTrackerHitConst.cc:78</a></div></div>
<div class="ttc" id="_sim_tracker_hit_const_8h_html"><div class="ttname"><a href="_sim_tracker_hit_const_8h.html">SimTrackerHitConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_obj_html_aff3f4b1739b697f33d9154cc774cb550"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_obj.html#aff3f4b1739b697f33d9154cc774cb550">eic::SimTrackerHitObj::m_particle</a></div><div class="ttdeci">::eic::ConstMCParticle * m_particle</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_obj_8h_source.html#l00040">SimTrackerHitObj.h:40</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_a3c61d0713596089013c0a193f9c4ac37"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#a3c61d0713596089013c0a193f9c4ac37">eic::ConstSimTrackerHit::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8cc_source.html#l00085">SimTrackerHitConst.cc:85</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8h_source.html#l00030">MCParticleConst.h:30</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_ab3e0973d10773a391dc25293a19c26ca"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#ab3e0973d10773a391dc25293a19c26ca">eic::ConstSimTrackerHit::~ConstSimTrackerHit</a></div><div class="ttdeci">~ConstSimTrackerHit()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8cc_source.html#l00048">SimTrackerHitConst.cc:48</a></div></div>
<div class="ttc" id="_sim_tracker_hit_collection_8h_html"><div class="ttname"><a href="_sim_tracker_hit_collection_8h.html">SimTrackerHitCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_a2ee6af5bdeae9dadc098dac5dc086eb8"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#a2ee6af5bdeae9dadc098dac5dc086eb8">eic::ConstSimTrackerHit::ConstSimTrackerHit</a></div><div class="ttdeci">ConstSimTrackerHit()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8cc_source.html#l00013">SimTrackerHitConst.cc:13</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_a1d53c7fdbed6112dfd19b07f50232b0b"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#a1d53c7fdbed6112dfd19b07f50232b0b">eic::ConstSimTrackerHit::pathLength</a></div><div class="ttdeci">const float &amp; pathLength() const</div><div class="ttdoc">Access the path length. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8cc_source.html#l00063">SimTrackerHitConst.cc:63</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_html"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit.html">eic::SimTrackerHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_8h_source.html#l00034">SimTrackerHit.h:34</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html_a0745bf34579e98ccb1314418099f9aff"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html#a0745bf34579e98ccb1314418099f9aff">eic::SimTrackerHitData::cellID1</a></div><div class="ttdeci">long long cellID1</div><div class="ttdoc">The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00015">SimTrackerHitData.h:15</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_acc130abbdbbe03540f4def1d9e061cea"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#acc130abbdbbe03540f4def1d9e061cea">eic::ConstSimTrackerHit::position</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; position() const</div><div class="ttdoc">Access the The position of the hit in world coordinates. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8cc_source.html#l00057">SimTrackerHitConst.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_a84ab60e4b6c5337b1611295801472a9b"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#a84ab60e4b6c5337b1611295801472a9b">eic::ConstSimTrackerHit::particle</a></div><div class="ttdeci">const eic::ConstMCParticle particle() const</div><div class="ttdoc">Access the The MCParticle that caused the hit. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8cc_source.html#l00071">SimTrackerHitConst.cc:71</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html_a4a32acdd40a1e5318249ac73b33cef35"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html#a4a32acdd40a1e5318249ac73b33cef35">eic::SimTrackerHitData::position</a></div><div class="ttdeci">std::array&lt; double, 3 &gt; position</div><div class="ttdoc">The position of the hit in world coordinates. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00016">SimTrackerHitData.h:16</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_a61d3aaf50c454b1d8c6ca29ddf21debc"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#a61d3aaf50c454b1d8c6ca29ddf21debc">eic::ConstSimTrackerHit::operator==</a></div><div class="ttdeci">bool operator==(const ConstSimTrackerHit &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8h_source.html#l00084">SimTrackerHitConst.h:84</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_adaa688e47edd0881b2ae177f847ed0d3"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#adaa688e47edd0881b2ae177f847ed0d3">eic::ConstSimTrackerHit::time</a></div><div class="ttdeci">const float &amp; time() const</div><div class="ttdoc">Access the The time of the hit in [ns]. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8cc_source.html#l00061">SimTrackerHitConst.cc:61</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_a74a1c6af5e15a404689a6490e5c6816f"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#a74a1c6af5e15a404689a6490e5c6816f">eic::ConstSimTrackerHit::clone</a></div><div class="ttdeci">ConstSimTrackerHit clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8cc_source.html#l00044">SimTrackerHitConst.cc:44</a></div></div>
<div class="ttc" id="_m_c_particle_8h_html"><div class="ttname"><a href="_m_c_particle_8h.html">MCParticle.h</a></div></div>
<div class="ttc" id="_sim_tracker_hit_data_8h_html"><div class="ttname"><a href="_sim_tracker_hit_data_8h.html">SimTrackerHitData.h</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00011">CalorimeterHit.cc:11</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html_adc67d9f0e75a208f95f5e0dae36b25a9"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html#adc67d9f0e75a208f95f5e0dae36b25a9">eic::SimTrackerHitData::pathLength</a></div><div class="ttdeci">float pathLength</div><div class="ttdoc">path length </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00018">SimTrackerHitData.h:18</a></div></div>
<div class="ttc" id="_sim_tracker_hit_obj_8h_html"><div class="ttname"><a href="_sim_tracker_hit_obj_8h.html">SimTrackerHitObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_acd5c1fa8be506c58d1d49f6b970797e5"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#acd5c1fa8be506c58d1d49f6b970797e5">eic::ConstSimTrackerHit::cellID1</a></div><div class="ttdeci">const long long &amp; cellID1() const</div><div class="ttdoc">Access the The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8cc_source.html#l00055">SimTrackerHitConst.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_a6c73b2cd20c719c5b2b57c675531209a"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#a6c73b2cd20c719c5b2b57c675531209a">eic::ConstSimTrackerHit::operator=</a></div><div class="ttdeci">ConstSimTrackerHit &amp; operator=(const ConstSimTrackerHit &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8cc_source.html#l00033">SimTrackerHitConst.cc:33</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_obj_html"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_obj.html">eic::SimTrackerHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_obj_8h_source.html#l00027">SimTrackerHitObj.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_obj_html_a34c9e809495e57e09ec9537585d981d1"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">eic::SimTrackerHitObj::data</a></div><div class="ttdeci">SimTrackerHitData data</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_obj_8h_source.html#l00039">SimTrackerHitObj.h:39</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_ad1d3a11cc7e967c9e17282636d1df636"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#ad1d3a11cc7e967c9e17282636d1df636">eic::ConstSimTrackerHit::EDep</a></div><div class="ttdeci">const float &amp; EDep() const</div><div class="ttdoc">Access the EDep. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8cc_source.html#l00065">SimTrackerHitConst.cc:65</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html_a01a5875bed38ae277173430cf27f8c12"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html#a01a5875bed38ae277173430cf27f8c12">eic::ConstSimTrackerHit::_p</a></div><div class="ttdeci">const std::array&lt; float, 3 &gt; &amp; _p() const</div><div class="ttdoc">Access the momentum. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8cc_source.html#l00067">SimTrackerHitConst.cc:67</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html_a3d83fd5eb997914afdeea3932ab427d0"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html#a3d83fd5eb997914afdeea3932ab427d0">eic::SimTrackerHitData::_p</a></div><div class="ttdeci">std::array&lt; float, 3 &gt; _p</div><div class="ttdoc">momentum </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00020">SimTrackerHitData.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html_acbc250867871dfc9cde7b10dcb040cb9"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html#acbc250867871dfc9cde7b10dcb040cb9">eic::SimTrackerHitData::time</a></div><div class="ttdeci">float time</div><div class="ttdoc">The time of the hit in [ns]. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00017">SimTrackerHitData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html_a122a7ba424c6dfab43921e7da2dc0f56"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html#a122a7ba424c6dfab43921e7da2dc0f56">eic::SimTrackerHitData::cellID0</a></div><div class="ttdeci">long long cellID0</div><div class="ttdoc">The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00014">SimTrackerHitData.h:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
